it-swarm.dev

Comprendre le mode de codage des composants mvc pour les versions joomla 2.5 et 3

J'ai créé un composant dans joomla 2.5 à l'aide de mvc qui ne fonctionnait pas dans joomla 3, mais j'ai découvert plus tard que c'est parce que dans joomla 3, les classes précédentes de mvc ne fonctionnaient pas.

JControllerLegacy, JViewLegacy, JModelLegacy

et aucun autre changement nécessaire pour rendre le composant compatible avec joomla 3 pour autant que je sache. S'il y a quelque chose de plus à savoir, faites le moi savoir pour la compatibilité avec j3. Donc, au lieu de faire deux composants mvc distincts pour joomla 2.5 et 3, je suppose que je peux étendre à partir de ces classes Legacy de manière à ce qu'un seul composant suffise à la fois pour joomla 2.5 et 3, non? et encore une fois quels autres éléments doivent être pris en compte pour produire un composant MVC réussi pouvant être installé dans les deux versions de joomla.

7
dev-m

Il existe une bonne page de documentation expliquant les différences entre Joomla 2.5 et 3.x.

http://docs.joomla.org/Potential_backward_compatibility_issues_in_Joomla_3_and_Joomla_Platform_12.2

La seule chose à mentionner est que les classes héritées ne sont disponibles que dans Joomla 2.5.5 et supérieur. Mais tout le monde devrait être sur le 2.5.19 maintenant de toute façon :)

8
Bakual